Zum Inhalt springen

Seedance 2.0 Mini Text to Video

Integrieren

Modell-ID bytedance/seedance-2.0/mini/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedance-2.0/mini/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 2,321 $ 2.321 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
ByteDance Text zu Video Natives AudioLipsync4–15 sbis zu 720p #stylized#transform

Mini Seedance 2.0 für Text-zu-Video in 480p oder 720p mit optionalem synchronisiertem Audio

Auf Doitong erstellt

Öffentliche Werke der Doitong-Community mit Seedance 2.0. Verwende einen Prompt mit einem Klick erneut.

Angezeigte öffentliche Werke: 16
Subject: Man in a bunny suit, frozen city crowd Context: Urban street, all people, vehicles, and ... Video

Subject: Man in a bunny suit, frozen city crowd Context: Urban street, all people, vehicles, and trees are frozen mid-action Action: Only the bunny-suited man moves, walking and waving in front of an unresponsive man in a black suit Style: Cinematic, intense stillness, Quicksilver/X-Men, Matrix...

This is a cinematic scene filmed with a hand-held shaky camera. The entire world is completely fr... Video

This is a cinematic scene filmed with a hand-held shaky camera. The entire world is completely frozen in time. Nothing moves. Absolutely nothing. All people are frozen, cars are frozen, bicycles are frozen, traffic lights are frozen, trees and leaves are frozen, wind is frozen, shadows are...

A close-up portrait of a striking cyberpunk woman with sleek dark hair partially wet and falling ... Video

A close-up portrait of a striking cyberpunk woman with sleek dark hair partially wet and falling around her face. She’s wearing glossy, high-tech neon visor goggles with a vivid color gradient — bright yellow, orange, and pink reflecting glowing city lights. Her expression is confident and...

Ultra-realistic scene featuring miniature construction workers in orange vests and hard hats, act... Video

Ultra-realistic scene featuring miniature construction workers in orange vests and hard hats, actively working on a giant [pizza]. The tiny workers are using small tools, cranes, and machines to [assemble]. The [pizza] is placed on a metal surface or kitchen countertop. Steam or particles rise...

Аня вздрагивает от трезвона десяти будильников, резко садится в кровати, хлопает по ним руками в ... Video

Аня вздрагивает от трезвона десяти будильников, резко садится в кровати, хлопает по ним руками в попытке выключить, но они продолжают пищать, она в панике оглядывается. Камера медленно приближается с низкого угла от ног кровати к лицу, создавая ощущение нарастания хаоса. Лучи утреннего солнца...

Анна мягко гладит спящую собаку и смотрит на заходящее солнце с усталой, но счастливой улыбкой. К... Video

Анна мягко гладит спящую собаку и смотрит на заходящее солнце с усталой, но счастливой улыбкой. Камера медленно отъезжает назад, охватывая весь уютный дом и сад. Свет солнца постепенно затухает, переходя в сумерки. Финальный кадр передает чувство семейного тепла и завершенности прекрасного дня....

Аня падает на корточки у двери, лихорадочно надевает разные носки, роняет помаду из сумки, вскаки... Video

Аня падает на корточки у двери, лихорадочно надевает разные носки, роняет помаду из сумки, вскакивает, хватает ключи. Камера кружит вокруг нее на 180 градусов на уровне колен, ускоряясь. Ключи звенят, сумка болтается. Эмоциональный бит — пик хаоса с ноткой абсурдного юмора. Dialogue in this...

Буня несется во весь опор, виляя хвостом, сосиска забавно болтается у него в пасти. Камера быстро... Video

Буня несется во весь опор, виляя хвостом, сосиска забавно болтается у него в пасти. Камера быстро следует за ним на уровне земли, создавая эффект скорости. Анна и дети вбегают в кадр и выбегают из него, размахивая руками. Пыль слегка поднимается из-под лап. Сцена наполнена комичным драйвом и...

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich

Text-Prompt zur Steuerung der Videogenerierung.

duration auto

Auswahl der Videolänge: `auto` überlässt die Wahl dem Modell anhand des Prompts, während eine explizite Dauer zwischen 4 und 15 Sekunden liegen muss.

resolution Standard 720p

Ausgabeauflösung: 480p bevorzugt Generierungsgeschwindigkeit, während 720p eine ausgewogene Wahl bietet.

aspect_ratio Standard auto

Seitenverhältnis der Ausgabe: 16:9 ergibt Querformat, 9:16 Hoch-/Vertikalformat, 1:1 Quadrat und 21:9 ein kinematografisches Ultrawide-Format. `auto` lässt das Modell das Verhältnis wählen.

Erweitert codec · end_user_id
codec Standard auto

Auswahl des Video-Codecs: `auto` lässt das Standardverhalten unverändert, `H264` wählt H.264 und `H265` wählt H.265.

Eindeutiger Bezeichner des Endbenutzers.

POST /run/bytedance/seedance-2.0/mini/text-to-video?wait=20 Preis → 2,321 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedance-2.0/mini/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Seedance 2.0 Mini Text to Video

Erstellt Videoclips ausschließlich aus einem Text-Prompt. Die Auflösung ist 480p oder 720p, die Dauer auto oder 4 bis 15 Sekunden, und das Seitenverhältnis reicht von 21:9 bis 9:16 oder auto. Audio mit Effekten und Sprache wird standardmäßig erzeugt und kann mit `generate_audio` deaktiviert werden. Der Codec kann auf H264 oder H265 gesetzt werden.

Parameter

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
Text-Prompt zur Steuerung der Videogenerierung.
resolutionoptional
Typenum
Standard720p
480p720p
Ausgabeauflösung: 480p bevorzugt Generierungsgeschwindigkeit, während 720p eine ausgewogene Wahl bietet.
durationoptional
Typenum
Standardauto
auto456789101112131415
Auswahl der Videolänge: `auto` überlässt die Wahl dem Modell anhand des Prompts, während eine explizite Dauer zwischen 4 und 15 Sekunden liegen muss.
aspect_ratiooptional
Typenum
Standardauto
auto21:916:94:31:13:49:16
Seitenverhältnis der Ausgabe: 16:9 ergibt Querformat, 9:16 Hoch-/Vertikalformat, 1:1 Quadrat und 21:9 ein kinematografisches Ultrawide-Format. `auto` lässt das Modell das Verhältnis wählen.
generate_audiooptional
Typboolean
Standardtrue
Aktivieren, um das Video mit synchronisiertem Audio zu versehen. Das generierte Audio enthält an Lippenbewegungen angepasstes Sprechen, Umgebungsatmosphäre und Soundeffekte.
codecoptional
Typenum
Standardauto
autoH264H265
Auswahl des Video-Codecs: `auto` lässt das Standardverhalten unverändert, `H264` wählt H.264 und `H265` wählt H.265.
end_user_idoptional
Typstring | null
Eindeutiger Bezeichner des Endbenutzers.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedance-2.0/mini/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2321,
    "usd": "2.321",
    "charged": 2321,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
video
object {url, content_type, file_name, file_size}Durch die Generierung erzeugte Videodatei.
seed
integerWährend der Generierung angewendeter Seed-Wert.

Weitere Modelle: Text zu Video

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/bytedance/seedance-2.0/mini/text-to-video.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt